Results 1 to 2 of 2

Thread: Sencha workspace/app upgrade giving confusing error message

Hybrid View

Previous Post Previous Post   Next Post Next Post
  1. #1

    Default Sencha workspace/app upgrade giving confusing error message

    I'm trying to upgrade a workspace and all of its apps from version 5.1.0.26 to version 6.2.1.29.

    The workspace builds correctly in 5.1.0.26 and a copy of it is located here:

    ~/Documents/migration/

    Under this is ext/, myApp/, packages/, etc.

    The ext sdk is located here:

    ~/Documents/archive/ext-6.2.1/

    Under this is packages/, sass/, templates/, etc.

    My Sencha Cmd path:

    ~/Applications/Sencha/Cmd/sencha.exe

    Based on the documentation I should be able to do this:

    cd ~/Documents/migration/
    ./~/Applications/Sencha/Cmd/sencha.exe workspace upgrade ~/Documents/archive/ext-6.2.1/


    But I get this output:

    Sencha Cmd v6.2.1.29
    [ERR] Command must be run from a workspace folder


    I have also tried replacing workspace with app and running in the workspace and app directories, same error message, although for app it might output the following before the error message:

    [INF] Loading configuration for framework directory: ~/Documents/archive/ext-6.2.1

    I'm 100% sure the command is being run from a workspace. If there were better diagnostics, I might be able to figure out what is going on.

    Can anyone advise?

    Thank you.

  2. #2
    Sencha - Engineering israelroldan's Avatar
    Join Date
    Nov 2011
    Location
    The Netherlands
    Posts
    395

    Default

    Do you see a workspace.json file inside ~/Documents/migration/ ?

    If so, could you share it here?

    Remember that a framework can have more than one namespace so you actually need to do sencha framework upgrade {framework.key} {path}

    So, if you have an 'ext' framework you can just run:

    sencha framework upgrade ext ~/Documents/archive/ext-6.2.1/
    Israel Roldán | Senior Software Engineer (Framework tools)

Similar Threads

  1. Replies: 0
    Last Post: 15 Sep 2014, 7:54 AM
  2. 'sencha app upgrade' entire workspace
    By charlie17 in forum Sencha Cmd
    Replies: 1
    Last Post: 21 Jul 2014, 12:41 PM
  3. Replies: 4
    Last Post: 9 Oct 2013, 5:15 AM
  4. minification giving error after 4.1.1 upgrade
    By shrinkul in forum Sencha Cmd
    Replies: 1
    Last Post: 7 Aug 2012, 4:59 AM
  5. [CLOSED] [2.0.1] Build error debug message confusing
    By ronaldoneal in forum Sencha Touch 2.x: Bugs
    Replies: 2
    Last Post: 3 Apr 2012, 11:37 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •